Bug 211716 - No podcast RSS feeds refresh
No podcast RSS feeds refresh
Product: Fedora
Classification: Fedora
Component: listen (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-10-20 22:34 EDT by Gian Paolo Mureddu
Modified: 2008-05-06 12:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 12:31:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gian Paolo Mureddu 2006-10-20 22:34:50 EDT
Description of problem:
Listen fails to refresh the Podcast feeds it has already configured, and it also
fails to add new ones. The only identifiable sign that the podcasts should be
refreshing or that a feed has been added is a message at the bottom saying 1
operation(s) pending

Version-Release number of selected component (if applicable):

How reproducible:
Always. Also happened with 0.5-7.beta

Steps to Reproduce:
1. Open Listen, add an RSS feed or try to refresh a feed. 
2. The message appears, the feeds are not updated.

Actual results:
The feeds are not refreshed.

Expected results:
The feeds to refresh

Additional info:
Maybe this is a problem in upstream Listen.
Comment 1 Haïkel Guémar 2006-10-21 00:54:47 EDT
Could you attach Listen's output on command line when adding/refreshing feeds
and/or post a podcast feed url to test with ?
Try with http://www.redhat.com/magazine/podcast.xml, and tell me if you
experience the same issue.
Looks similar to upstream bug #1557604 at first sight.
Comment 2 Gian Paolo Mureddu 2006-10-21 01:37:28 EDT
Ok, here's what I get in the console when launching listen, nothing happens when
refreshing a feed/adding a feed:
Exception in thread Thread-1:
Traceback (most recent call last):
  File "/usr/lib64/python2.4/threading.py", line 442, in __bootstrap
  File "/usr/lib64/python2.4/threading.py", line 422, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/listen/song.py", line 782, in thread
    while not self.queue:
AttributeError: ThreadTagReader instance has no attribute 'queue'

No Notify support
2410 songs and 6 playlists loaded
2400  in pl  Master
10  in pl  Podcast
0  in pl  iRadio
186  in pl  NewAge
72  in pl  Metallica
87  in pl  Final Fantasy X
load took 615.029ms
Traceback (most recent call last):
  File "/usr/lib64/listen/source/local_source.py", line 113, in load
  File "/usr/lib64/listen/source/local_source.py", line 118, in
    if int(config.get("podcast","time_refresh"))>2:
ValueError: invalid literal for int(): 60.0
start monitoring
Update Context
Exception in thread Thread-10:
Traceback (most recent call last):
  File "/usr/lib64/python2.4/threading.py", line 442, in __bootstrap
  File "/usr/lib64/python2.4/threading.py", line 422, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/listen/widget/progress.py", line 139, in run_thread
    for text,fraction,pulse in action["iter_func"](*action["param"]):
  File "/usr/lib64/listen/library/local.py", line 452, in parse_feed
    s["descriptionrss"] = descriptionrss
TypeError: object does not support item assignment

These are the feeds I have:
http://feeds.feedburner.com/TheLinuxActionShowOGG - This is added, does not refresh.

http://www.thelinuxlink.net/tllts/tllts_ogg.rss - I'm wanting to add this one.

Trying to add the redhat podcasts feed is the same as with the others... The
actions stack, and only the message 3 operation(s) pending appears bellow
followed by the progress bar which reads "Reading podcast 10/10..."

I kind of thought that this would be an upstream bug rather than a build
specific one.
Comment 3 Haïkel Guémar 2006-11-14 14:50:25 EST
It seems working properly for me with last build. (it will be soon on mirrors)
Any feedback ?
Comment 4 Gian Paolo Mureddu 2006-11-14 18:03:22 EST
As soon as I have it as an update I will give any feedback. Also I've been
meaning to post this (maybe in another bug report?) about the player (on FC6)
crashing when trying to access the wikipedia or lyrics sections, LastFM works
OK, but as soon as I click on Wikipedia or lyrics, the program crashes, no
strange messages on the console, very strange. This is on x86_64 FC6 with
multilib support and all the recent updates applied (even those pertaining FF and gnome-pyton2*)
Comment 5 Haïkel Guémar 2006-11-15 05:54:49 EST
> as soon as I click on Wikipedia or lyrics, the program crashes
This bug is known, there's a segfault issue with gnome-python2-gtkmozembed, a
bug has been filed upstream by Extras maintainer.
It's pending to bug #205499 resolution.
Comment 6 Bug Zapper 2008-04-04 00:02:48 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2008-05-06 12:31:03 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.